var Languages=new Array(
"English",
"Español",
"Français",
"Deutsch",
"Italiano",
"Russian",
"Nederlands");

function SetLanguage(lng)
{
	if( lng == '' )
	{
		lng="English";
	}
	System.Gadget.Settings.write("Language",lng)

	// Setup Language Changes
	switch (lng)
	{
		case 'English':
			dayarray=new Array(
			"Sunday",
			"Monday",
			"Tuesday",
			"Wednesday",
			"Thursday",
			"Friday",
			"Saturday");
			montharray=new Array(
			"January",
			"February",
			"March",
			"April",
			"May",
			"June",
			"July",
			"August",
			"September",
			"October",
			"November",
			"December");
			settinggrid=new Array(
			"Clock Name:",
			"Time Zone:",
			"Show Second Hand",
			"Always Animate Header",
			"Select Language");
		break;

		case 'Español':
			dayarray=new Array(
			"Domingo",
			"Lunes",
			"Martes",
			"Miercoles",
			"Jueves",
			"Viernes",
			"Sabado");
			montharray=new Array(
			"Enero",
			"Febrerp",
			"Marzo",
			"Abril",
			"Mayo",
			"Junio",
			"Julio",
			"Agosto",
			"Setiembre",
			"Octubre",
			"Noviembre",
			"Deciembre");
			settinggrid=new Array(
			"Nombre del reloj:",
			"el Huso horario:",
			"la Exposición usada",
			"Siempre Anima Encabezamiento",
			"Escoge el Idioma");
		break;

		case 'Français':
			dayarray=new Array(
			"Dimanche",
			"Lundi",
			"Mardis",
			"Mercredi",
			"Jeudi",
			"Vendredi",
			"Samedi");
			montharray=new Array(
			"Janvier",
			"Février",
			"Mars",
			"Avril",
			"Mai",
			"Juin",
			"Juillet",
			"Août",
			"Septembre",
			"Octobre",
			"Novembre",
			"Décembre");
			settinggrid=new Array(
			"Le Nom d'horloge:",
			"le Fuseau horaire:",
			"le Spectacle Deuxième Main",
			"Toujours Animer l'En-tête",
			"Choisir la Langue");

		break;

		case 'Deutsch':
			dayarray=new Array(
			"Sonntag",
			"Montag",
			"Dienstag",
			"Mittwoch",
			"Donnerstag",
			"Freitag",
			"Samstag");
			montharray=new Array(
			"Januar",
			"Februar",
			"März",
			"April",
			"Mögen",
			"Juni",
			"Juli",
			"August",
			"September",
			"Oktober",
			"November",
			"Dezember");
			settinggrid=new Array(
			"Uhr Nennen:",
			"Zeitzone:",
			"Schauensekundenzeiger",
			"Belebt Immer Titel",
			"Wählt Sprache Aus");
		break;

		case 'Italiano':
			dayarray=new Array(
			"Domenica",
			"Lunedì",
			"Martedì",
			"Mercoledì",
			"Giovedì",
			"Venerdì",
			"Sabato");
			montharray=new Array(
			"Gennaio",
			"Febbraio",
			"Marzo",
			"Aprile",
			"Possono",
			"Giugno",
			"Luglio",
			"Agosto",
			"Settembre",
			"Ottobre",
			"Novembre",
			"Dicembre");
			settinggrid=new Array(
			"Nome di Orologio:",
			"Il Fuso Orario:",
			"La Mostra di seconda mano",
			"Anima Sempre l'Intestazione",
			"Sceglie la Lingua");
		break;

		case 'Russian':
			dayarray=new Array(
			"Воскресенье",
			"Понедельник",
			"Вторник",
			"Среда",
			"Четверг",
			"Пятница",
			"Суббота");
			montharray=new Array(
			"Январь",
			"Февраль",
			"Март",
			"Апрель",
			"Май",
			"Июнь",
			"Июль",
			"Август",
			"Сентябрь",
			"Октябрь",
			"Ноябрь",
			"Декабрь");
			settinggrid=new Array(
			"Название(Имя) Часов:",
			"Часовой пояс:",
			"Покажите Вторую Руку",
			"Всегда Живой Удар головой(Заголовок)",
			"Выберите Язык");
		break;

		case 'Nederlands':
			dayarray=new Array(
			"Zondag",
			"Maandag",
			"Dinsdag",
			"Woensdag",
			"Donderdag",
			"Vrijdag",
			"Zaterdag");
			montharray=new Array(
			"Januari",
			"Februari",
			"Maart",
			"April",
			"Mei",
			"Juni",
			"Juli",
			"Augustus",
			"September",
			"Oktober",
			"November",
			"December");
			settinggrid=new Array(
			"Klok Naam:",
			"Tijdzone:",
			"Vertoning Seconde Overhandig",
			"Beziel Altijd de Kop",
			"Selecteer de Taal");
		break;
	}
}

function InitialLanguage()
{
	var lang_v = System.Gadget.Settings.read("Language");
	SetLanguage(lang_v);
}

function SaveLanguage()
{
	var index=Number(LangIndex.value);
	if(index>=0)
	{
		System.Gadget.Settings.write("Language",Languages[index]);
	}
}

function LanguageChanged()
{
	var index=Number(LangIndex.value);
	if(index>=0)
	{
		SetLanguage(Languages[index]);
		Refresh_Language();
	}
}

function FillLanguages()
{
	for(var i=0;i<e.length;i++)
	{
		LangIndex.options[i+1]=new Option(Languages[i],i);
	}
}